## fuse 2.4.2-2

=== Makefile ===
# $Id: Makefile 2230 2005-10-22 12:12:59Z nbd $

include $(TOPDIR)/rules.mk

PKG_NAME:=fuse
PKG_VERSION:=2.4.2
PKG_RELEASE:=2
PKG_MD5SUM:=6e3d9a580c45ddf4a06558c135c158c2

PKG_SOURCE_URL:=@SF/$(PKG_NAME)
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_CAT:=zcat

PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
PKG_INSTALL_DIR:=$(PKG_BUILD_DIR)/ipkg-install

include $(TOPDIR)/package/rules.mk

$(eval $(call PKG_template,LIBFUSE,libfuse,$(PKG_VERSION)-$(PKG_RELEASE),$(ARCH)))
$(eval $(call PKG_template,FUSE_UTILS,fuse-utils,$(PKG_VERSION)-$(PKG_RELEASE),$(ARCH)))

$(PKG_BUILD_DIR)/.configured:
	(cd $(PKG_BUILD_DIR); \
		rm -rf config.{cache,status} ; \
		touch configure.in ; \
		touch aclocal.m4 ; \
		touch Makefile.in ; \
		touch include/config.h.in ; \
		touch configure ; \
		$(TARGET_CONFIGURE_OPTS) \
		CFLAGS="$(TARGET_CFLAGS)" \
		./configure \
			--target=$(GNU_TARGET_NAME) \
			--host=$(GNU_TARGET_NAME) \
			--build=$(GNU_HOST_NAME) \
			--program-prefix="" \
			--program-suffix="" \
			--prefix=/usr \
			--exec-prefix=/usr \
			--bindir=/usr/bin \
			--datadir=/usr/share \
			--includedir=/usr/include \
			--infodir=/usr/share/info \
			--libdir=/usr/lib \
			--libexecdir=/usr/lib \
			--localstatedir=/var \
			--mandir=/usr/share/man \
			--sbindir=/usr/sbin \
			--sysconfdir=/etc \
			$(DISABLE_LARGEFILE) \
			$(DISABLE_NLS) \
			--enable-shared \
			--enable-static \
			--disable-rpath \
			--disable-kernel-module \
			--enable-lib \
			--enable-util \
			--disable-example \
			--disable-auto-modprobe \
			--with-kernel=$(LINUX_DIR) \
			--disable-mtab \
	);
	touch $@

$(PKG_BUILD_DIR)/.built:
	rm -rf $(PKG_INSTALL_DIR)
	mkdir -p $(PKG_INSTALL_DIR)
	$(MAKE) -C $(PKG_BUILD_DIR) \
		DESTDIR="$(PKG_INSTALL_DIR)" \
		all install
	touch $@

$(IPKG_LIBFUSE):
	mkdir -p $(IDIR_LIBFUSE)/usr/lib
	cp -fpR $(PKG_INSTALL_DIR)/usr/lib/libfuse.so.* $(IDIR_LIBFUSE)/usr/lib/
	$(RSTRIP) $(IDIR_LIBFUSE)
	$(IPKG_BUILD) $(IDIR_LIBFUSE) $(PACKAGE_DIR)

$(IPKG_FUSE_UTILS):
	mkdir -p $(IDIR_FUSE_UTILS)/usr/bin
	cp -fpR $(PKG_INSTALL_DIR)/usr/bin/fusermount $(IDIR_FUSE_UTILS)/usr/bin/
	$(RSTRIP) $(IDIR_FUSE_UTILS)
	$(IPKG_BUILD) $(IDIR_FUSE_UTILS) $(PACKAGE_DIR)

$(STAGING_DIR)/usr/lib/libfuse.so: $(PKG_BUILD_DIR)/.built
	mkdir -p $(STAGING_DIR)/usr/include
	cp -fpR $(PKG_INSTALL_DIR)/usr/include/fuse $(STAGING_DIR)/usr/include/
	cp -fpR $(PKG_INSTALL_DIR)/usr/include/fuse.h $(STAGING_DIR)/usr/include/
	mkdir -p $(STAGING_DIR)/usr/lib
	cp -fpR $(PKG_INSTALL_DIR)/usr/lib/libfuse.a $(STAGING_DIR)/usr/lib/
	cp -fpR $(PKG_INSTALL_DIR)/usr/lib/libfuse.so* $(STAGING_DIR)/usr/lib/
	mkdir -p $(STAGING_DIR)/usr/lib/pkgconfig
	cp -fpR $(PKG_INSTALL_DIR)/usr/lib/pkgconfig/fuse.pc $(STAGING_DIR)/usr/lib/pkgconfig/
	$(SED) 's,-I$${includedir}/fuse,,g' $(STAGING_DIR)/usr/lib/pkgconfig/fuse.pc
	$(SED) 's,-L$${libdir},,g' $(STAGING_DIR)/usr/lib/pkgconfig/fuse.pc

install-dev: $(STAGING_DIR)/usr/lib/libfuse.so

uninstall-dev:
	rm -rf \
		$(STAGING_DIR)/usr/include/fuse \
		$(STAGING_DIR)/usr/include/fuse.h \
		$(STAGING_DIR)/usr/lib/libfuse.a \
		$(STAGING_DIR)/usr/lib/libfuse.so* \
		$(STAGING_DIR)/usr/lib/pkgconfig/fuse.pc \

compile: install-dev
clean: uninstall-dev

## fuse 2.7.0-2

=== Makefile ===
# 
# Copyright (C) 2006 OpenWrt.org
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#
# $Id: Makefile 7716 2007-06-23 15:54:36Z florian $

include $(TOPDIR)/rules.mk
include $(INCLUDE_DIR)/kernel.mk

PKG_NAME:=fuse
PKG_VERSION:=2.7.0
PKG_RELEASE:=2

PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=@SF/$(PKG_NAME)
PKG_MD5SUM:=7c3d52f81816e3a8e0cc2b5822a37e86

include $(INCLUDE_DIR)/package.mk

define Package/fuse/Default
  TITLE:=FUSE
  DEPENDS:=@LINUX_2_6
  DESCRIPTION:=\
	FUSE (Filesystem in UserSpacE)
  URL:=http://fuse.sourceforge.net/
endef

define Package/fuse-utils
  $(call Package/fuse/Default)
  SECTION:=utils
  CATEGORY:=Utilities
  DEPENDS:=+libfuse +kmod-fuse @LINUX_2_6
  TITLE+= (utilities)
  DESCRIPTION+=\\\
	\\\
	This package contains the FUSE utilities.
endef

define KernelPackage/fuse
  SUBMENU:=Filesystems
  $(call Package/fuse/Default)
  DEPENDS:=@LINUX_2_6
  TITLE+= (kernel module)
  DESCRIPTION+=\\\
	\\\
	This package contains the FUSE kernel module.
  FILES:=$(PKG_INSTALL_DIR)/lib/modules/$(LINUX_VERSION)/kernel/fs/fuse/fuse.$(LINUX_KMOD_SUFFIX)
  VERSION:=$(LINUX_VERSION)+$(PKG_VERSION)-$(BOARD)-$(PKG_RELEASE)
  AUTOLOAD:=$(call AutoLoad,80,fuse)
endef

define Package/libfuse
  $(call Package/fuse/Default)
  SECTION:=libs
  CATEGORY:=Libraries
  DEPENDS:=@LINUX_2_6
  TITLE+= (library)
  DESCRIPTION+=\\\
	\\\
	This package contains the FUSE shared library, needed by other programs.
endef

CONFIGURE_VARS += \
	 kernsrcver="$(LINUX_VERSION)"

CONFIGURE_ARGS += \
	--enable-shared \
	--enable-static \
	--disable-rpath \
	--enable-kernel-module \
	--enable-lib \
	--enable-util \
	--disable-example \
	--disable-auto-modprobe \
	--with-kernel="$(LINUX_DIR)" \
	--disable-mtab

define Build/Configure
	(cd $(PKG_BUILD_DIR); rm -f config.cache; \
		touch configure.in ; \
		touch aclocal.m4 ; \
		touch Makefile.in ; \
		touch include/config.h.in ; \
		touch configure ; \
	)
	$(call Build/Configure/Default)
endef

define Build/Compile
	$(MAKE) -C $(PKG_BUILD_DIR) \
		ARCH="$(LINUX_KARCH)" \
		CROSS_COMPILE="$(TARGET_CROSS)" \
		DESTDIR="$(PKG_INSTALL_DIR)" \
		AM_CFLAGS="$(TARGET_CFLAGS) -DDISABLE_COMPAT=1" \
		EXTRA_DIST="" \
		all install
endef

define Build/InstallDev
	mkdir -p $(STAGING_DIR)/usr/include
	$(CP)	$(PKG_INSTALL_DIR)/usr/include/fuse{,.h} $(STAGING_DIR)/usr/include/
	mkdir -p $(STAGING_DIR)/usr/lib
	$(CP)	$(PKG_INSTALL_DIR)/usr/lib/libfuse.{a,so*} $(STAGING_DIR)/usr/lib/
	mkdir -p $(STAGING_DIR)/usr/lib/pkgconfig
	$(CP) $(PKG_INSTALL_DIR)/usr/lib/pkgconfig/fuse.pc $(STAGING_DIR)/usr/lib/pkgconfig/
	$(SED) 's,-I$$$${includedir}/fuse,,g' $(STAGING_DIR)/usr/lib/pkgconfig/fuse.pc
	$(SED) 's,-L$$$${libdir},,g' $(STAGING_DIR)/usr/lib/pkgconfig/fuse.pc
endef
	
define Build/UninstallDev
	rm -rf	$(STAGING_DIR)/usr/include/fuse{,.h} \
		$(STAGING_DIR)/usr/lib/libfuse.{a,so*} \
		$(STAGING_DIR)/usr/lib/pkgconfig/fuse.pc
endef

define Package/fuse-utils/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(CP) $(PKG_INSTALL_DIR)/usr/bin/fusermount $(1)/usr/bin/
#	$(CP) $(PKG_BUILD_DIR)/example/.libs/hello $(1)/usr/bin/
#	$(CP) $(PKG_BUILD_DIR)/example/.libs/fusexmp $(1)/usr/bin/
endef

define Package/libfuse/install
	$(INSTALL_DIR) $(1)/usr/lib
	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libfuse.so.* $(1)/usr/lib/
endef

$(eval $(call BuildPackage,fuse-utils))
$(eval $(call BuildPackage,libfuse))
$(eval $(call KernelPackage,fuse))

## fuse 2.7.2-1maemo6

=== debian/changelog ===
fuse (2.7.2-1maemo6) chinook; urgency=low

  * Changed dh_installinit runlevels in debian/rules 

 -- Maemo Integration <integration@maemo.org>  Wed, 02 Apr 2008 16:18:52 +0300

fuse (2.7.2-1maemo5) chinook; urgency=low

  * Changed packaging, removed fuse-utils from kernel modules depends

 -- Maemo Integration <integration@maemo.org>  Mon, 10 Mar 2008 16:32:13 +0200

fuse (2.7.2-1maemo4) chinook; urgency=low

  * Modified fuse-utils init script to work on busybox grep

 -- Maemo Integration <integration@maemo.org>  Thu,  6 Mar 2008 17:15:47 +0200

fuse (2.7.2-1maemo3) chinook; urgency=low

  * Removed loading /lib/init/vars.sh in fuse-utils postinst script

 -- Maemo Integration <integration@maemo.org>  Thu,  6 Mar 2008 16:19:42 +0200

fuse (2.7.2-1maemo2) chinook; urgency=low

  * Added fuse-modules-rx-34 package

 -- Maemo Integration <integration@maemo.org>  Thu,  6 Mar 2008 15:20:19 +0200

fuse (2.7.2-1maemo1) chinook; urgency=low

  * Added PROG_MOUNT and PROG_UMOUNT to call other mount and umount
    binaries than "/bin/mount" and "/bin/umount"
  * Removed Build-Depends to selinux to make this work on maemo chinook
  * Simplified postinst script

 -- Maemo Integration <integration@maemo.org>  Wed, 05 Mar 2008 17:43:59 +0200

fuse (2.7.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.7.3.
  * Drop 002-Fix_umounting_when_mtab_is_a_symlink patch, fixed upstream.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sat, 05 Jan 2008 02:35:33 +0100

fuse (2.7.1-2) unstable; urgency=low

  * Add 002-Fix_umounting_when_mtab_is_a_symlink patch (Closes: #448855). 

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 23 Nov 2007 15:27:17 +0100

fuse (2.7.1-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/copyright: library is LGPL v2 only.
  * Use new dpkg 'homepage' field.
  * Do not ignore make distclean error anymore.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 28 Oct 2007 12:25:18 +0100

fuse (2.7.0-3) unstable; urgency=low

  * Really fix issues when upgrading /usr/share/doc/fuse-utils to a symlink (Closes: #445414).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sat, 13 Oct 2007 21:23:14 +0200

fuse (2.7.0-2) unstable; urgency=low

  * Do not include dpatch.make in fuse-source rules (Closes: #443702).
  * Drop ucf dependency, useless (Closes: #439079).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 01 Oct 2007 19:22:53 +0200

fuse (2.7.0-1) unstable; urgency=low

  * New upstream release:
    - Build against 2.6.22 linux kernel (Closes: #434327).
  * Build depends on libselinux1-dev | libselinux-dev, libfuse-dev depends on it too (Closes: #434225).
  * Umount all fuse mouted filesystems before unloading kernel module (Closes: #411143), thanks to Javier Merino for his patch.
  * Improve NEWS.Debian (Closes: #433927), thanks to Tomas Pospisek for fixing my crap english.
  * Capitalize 'Linux' in long description (Closes: #434109).
  * Drop 002-Allow_standalone_examples_build and 003-Typo_in_fuse.h_comments, fixed upstream.
  * Drop 001-Fix_bashism_in_mount.fuse, mount.fuse is not a bash script anymore.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 24 Jul 2007 10:26:13 +0200

fuse (2.6.5-3) unstable; urgency=low

  * Fix typo in fuse-source package.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sat, 30 Jun 2007 12:16:19 +0200

fuse (2.6.5-2) unstable; urgency=low

  * The 'RE-INTRODUCE FUSE-SOURCE' release.
    - Build fuse-source package again (Closes: #414499).
  * Fix bashism in mount.fuse (Closes: #424435).
  * Improve example Makefile.
  * Fixe typo in fuse.h comments (Closes: #424871).
  * Remove 'doc' directory of < 2.6.5-1 fuse-utils package (replaced by symlink) (Closes: #429424).
  * Install sample fuse.conf in /etc (Closes: #429666).
  * Update debian/watch.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 17 May 2007 12:56:42 +0200

fuse (2.6.5-1) unstable; urgency=low

  * New upstream release :
    - Drop 001-Fix_bashism_in_mount.fuse patch, fixed upstream.
    - Drop 002-Handle_spaces_in_paths patch, fixed upstream.
    - Drop 003-Mount-fusectl_fs_with_fusectl_type, fixed upstream.
  * Make debian/rules more 'human redable'.
  * Rewrite docs handling.
  * Add all missing files to libfuse-dev's examples.
    Write a standalone Makefile (Closes: #382316, #423237).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 02 May 2007 09:21:21 +0200

fuse (2.6.3-4) unstable; urgency=low

  * Update fuse init script to REALLY mount fusectl filesystem with fusectl
    type (Closes: #417945).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 20 Apr 2007 08:53:02 +0200

fuse (2.6.3-3) unstable; urgency=low

  * Skip preinst if there's no previous installed version (Closes: #417640).
  * Handle spaces in paths (Closes: #417834).
  * Mount fusectl filesystem with fusectl type (Closes: #417945).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 10 Apr 2007 21:06:39 +0200

fuse (2.6.3-2) unstable; urgency=low

  * The 'BUGFIX' release.
  * Fix preinst script :
    - dpkg-statoverride --list is not fatal anymore.
    - Use dpkg --compare-version to define if override should be removed.
  * Fix postrm script to handle 'abort-upgrade' (Closes: #413799).
  * Make debian/rules look better (drop arch-indep stuff).
  * Handle patches with a patch system (dpatch).
  * Do not remove init_script from source tree (makes re-build fail).
  * Fix init script installation, wrong runlevels, wrong name.
  * Fix bashism in mount.fuse (Closes: #413403).
  * Change fuse node group with chgrp if udev is not present (Closes: #413437).
  * Write a new init script, lsb-compliant (Closes: #413394).
  * Bump compat to 5.
  * Improve control:
    - Two space before homepage,
    - Drop versionned suggests,
    - Switch to ${binary:Version},
    - Add ${misc:Depends}.
  * Remove fuse-utils.postrm (noop).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu,  8 Mar 2007 22:10:31 +0100



=== debian/control ===
Source: fuse
Section: libs
Priority: optional
Maintainer: Bartosz Fenski <fenio@debian.org>
Uploaders: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Build-Depends: debhelper (>= 5.0.37), autotools-dev, dpatch, lsb-base (>= 3.0-6), bzip2, kernel-source-diablo
Homepage: http://fuse.sourceforge.net/
Standards-Version: 3.7.3

Package: fuse-utils
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2 (= ${binary:Version}), fuse-modules, makedev (>= 2.3.1-80) | udev
Architecture: armel
Description: Filesystem in USErspace (utilities)
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package contains the fusermount utility which is necessary to
 mount fuse filesystems.
 .
 This utility is setuid by default. Use dpkg-statoverride if you want
 to change that.

Package: libfuse-dev
Section: libdevel
Architecture: armel
Depends: libfuse2 (= ${binary:Version}), ${misc:Depends}
Suggests: fuse-utils
Description: Filesystem in USErspace (development files)
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package contains the files necessary to write applications in C
 or C++ using fuse.

Package: libfuse2
Section: libs
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: fuse-utils (<< ${binary:Version})
Suggests: fuse-utils
Description: Filesystem in USErspace library
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package contains the files necessary to write applications in C
 or C++ using fuse.

Package: fuse-modules-rx-34
Architecture: armel
Provides: fuse-modules
Description: Filesystem in USErspace kernel module for rx-34
 Simple interface for userspace programs to export a virtual filesystem to
 the linux kernel.
 .
 This package contains the compiled kernel modules for rx-34 hardware
 .
 If you have compiled your own kernel, you will most likely need to build
 your own fuse-modules. The fuse-source package has been provided for use
 with the Debian's module-assistant or kernel-package utilities to produce a
 version of fuse-modules for your kernel.
 .
 Please notice thant fuse is already available in current 2.6 Linux kernel.
 However you may need a newer version than the one shipped with your kernel.
 .
 Homepage: http://fuse.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Dpatch system
include /usr/share/dpatch/dpatch.make

# Some variables I'll use below
DESTDIR	 = $(CURDIR)/debian/tmp
KDESTDIR = $(CURDIR)/debian/fuse-source
KMODDIR = $(CURDIR)/debian/fuse-modules-rx-34
DOCS	 = Filesystems FAQ NEWS README README.NFS doc/* debian/README.Debian debian/NEWS.Debian
KSRC = ../kernel-source-diablo

# Module-assistant stuff
PACKAGE = fuse-modules
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS += -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure patch-stamp
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	tar xvjf /usr/src/kernel-source-diablo.tar.bz2
	cd kernel-source-diablo && make nokia_2420_defconfig && make
	CFLAGS="$(CFLAGS)" \
	./configure --host=$(DEB_HOST_GNU_TYPE) \
	            --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr \
		    --mandir=\$${prefix}/share/man \
		    --infodir=\$${prefix}/share/info \
		    --enable-kernel-module \
		    --disable-example \
		    --with-kernel=$(KSRC)

# Modass targets
kdist_configure: prep-deb-files
kdist_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
binary-modules: prep-deb-files
	dh_testroot
	dh_clean -k
	./configure --enable-kernel-module --with-kernel=$(KSRC)
	$(MAKE)
	install -D -m0644 fuse.ko debian/$(PACKAGE)-$(KVERS)/lib/modules/$(KVERS)/kernel/fs/fuse/fuse.ko
	dh_installchangelogs ChangeLog
	dh_installdocs $(DOCS)
	dh_installmodules
	sed -e "s/@KERNEL@/$(KVERS)/g" debian/preinst.modules.in > debian/preinst
	sed -e "s/@KERNEL@/$(KVERS)/g" debian/postrm.modules.in > debian/postrm
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)
	dh_clean -k

build: build-stamp
build-stamp: config.status
	$(MAKE)
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp config.log
	[ ! -f example/Makefile ] || $(MAKE) distclean -C example
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -fr kernel-source-diablo
	dh_clean config.guess config.sub

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs -s
	$(MAKE) install DESTDIR=$(DESTDIR)
	dh_installdirs -pfuse-utils usr/share/lintian/overrides
	cp $(CURDIR)/debian/fuse-utils.lintian \
	   $(CURDIR)/debian/fuse-utils/usr/share/lintian/overrides/fuse-utils
	dh_install -s --source=debian/tmp
	install -D -m0640 $(CURDIR)/debian/fuse.conf \
			  $(CURDIR)/debian/fuse-utils/etc/fuse.conf

install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	#mkdir -p $(KDESTDIR)/usr/src/modules/fuse/debian
	#cp -a kernel/* $(KDESTDIR)/usr/src/modules/fuse
	#cp debian/control.modules.in $(KDESTDIR)/usr/src/modules/fuse/debian
	#cp debian/postrm.modules.in $(KDESTDIR)/usr/src/modules/fuse/debian
	#cp debian/preinst.modules.in $(KDESTDIR)/usr/src/modules/fuse/debian
	#cp debian/rules debian/changelog debian/copyright debian/compat debian/control \
	#  $(KDESTDIR)/usr/src/modules/fuse/debian
	#sed -i 's!^\(include /usr/share/dpatch/dpatch.make\)$$!#\1!' $(KDESTDIR)/usr/src/modules/fuse/debian/rules
	#cp --parents $(DOCS) $(KDESTDIR)/usr/src/modules/fuse/
	#cp ChangeLog $(KDESTDIR)/usr/src/modules/fuse/
	#cd $(KDESTDIR)/usr/src && tar c modules | bzip2 -9 > fuse.tar.bz2 && rm -rf modules

binary-arch: build install-arch
	dh_testdir -s
	dh_testroot -s
	dh_installchangelogs -s ChangeLog
	dh_installdocs -plibfuse2 $(DOCS)
	dh_installdocs -plibfuse-dev $(DOCS)
	dh_installexamples -s
	for PKG in fuse-utils; do \
		rm -rf debian/$$PKG/usr/share/doc/$$PKG; \
		cd debian/$$PKG/usr/share/doc/ && ln -s libfuse2 $$PKG; \
	done
	mkdir -p debian/fuse-modules-rx-34/lib/modules/2.6.21-omap1/extra
	install kernel/fuse.ko debian/fuse-modules-rx-34/lib/modules/2.6.21-omap1/extra/
	dh_installman -s -pfuse-utils debian/fusermount.1
	dh_link -s
	dh_strip -s
	dh_compress -s -Xusr/share/doc/libfuse-dev/examples/
	dh_fixperms -s
	dh_installdebconf -s
	dh_installinit -s --name=fuse 
	dh_makeshlibs -s -V "libfuse2 (>= 2.6)"
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	chmod 4755 debian/fuse-utils/usr/bin/fusermount
	dh_builddeb -s
	

binary-indep: install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i -pfuse-source $(DOCS)
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install binary-modules kdist kdist_configure kdist_image kdist_clean

## fuse 2.7.2-1maemo7

=== debian/changelog ===
fuse (2.7.2-1maemo7) diablo; urgency=low

  * Removed mount-full dependence.

 -- Maemo Integration <integration@maemo.org>  Tue, 20 Jan 2009 03:47:54 -0800

## fuse 2.7.2-1maemo8

=== fuse/Makefile ===
# Makefile.in for kernel module

SHELL = /bin/sh
INSTALL = /scratchbox/tools/bin/install -c
mkdir_p = mkdir -p
VERSION = 2.7.2

DISTFILES = Makefile.in configure.ac configure config.h.in ../install-sh \
	dev.c dir.c file.c inode.c fuse_i.h fuse_kernel.h control.c

fusemoduledir = /lib/modules/2.6.21-omap1/kernel/fs/fuse

fusemodule := fuse.ko

all: all-y
install: install-y
uninstall: uninstall-y

all-n:
install-n:
uninstall-n:

all-y: all-spec

install-y: all
	$(mkdir_p) $(DESTDIR)$(fusemoduledir)
	$(INSTALL) -m 644 $(fusemodule) $(DESTDIR)$(fusemoduledir)/$(fusemodule)
	-/sbin/depmod -a

uninstall-y:
	rm -f $(DESTDIR)$(fusemoduledir)/$(fusemodule)
	-/sbin/depmod -a

clean:
	-rm -f $(fusemodule) *.o .*.cmd *.mod.c *.ko *.s */*.o

distclean: clean
	rm -f Makefile
	rm -f config.h config.log config.status config.cache
	rm -rf .tmp_versions

maintainer-clean: distclean

distdir: $(DISTFILES)
	cp -p $(DISTFILES) $(distdir)

EXTRA_CFLAGS += -DFUSE_VERSION=\"$(VERSION)\"

obj-m := fuse.o
fuse-objs := dev.o dir.o file.o inode.o control.o

all-spec:
	$(MAKE) -C ../../kernel-source-rx-34-2.6.21.0 SUBDIRS=`pwd`  modules

=== debian/changelog ===
fuse (2.7.2-1maemo8) diablo; urgency=low

  * Small fixes to run on fremantle 

 -- Walter <walter.guerra@signove.com>  Thu,  4 Jun 2009 09:25:15 -0400

=== debian/control ===
Source: fuse
Section: libs
Priority: optional
Maintainer: Bartosz Fenski <fenio@debian.org>
Uploaders: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Build-Depends: debhelper (>= 5.0.37), autotools-dev, dpatch, lsb-base (>= 3.0-6), bzip2, kernel-headers
Homepage: http://fuse.sourceforge.net/
Standards-Version: 3.7.3

Package: fuse-utils
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2 (= ${binary:Version}), makedev (>= 2.3.1-80) | udev
Architecture: armel
Description: Filesystem in USErspace (utilities)
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package contains the fusermount utility which is necessary to
 mount fuse filesystems.
 .
 This utility is setuid by default. Use dpkg-statoverride if you want
 to change that.

Package: libfuse-dev
Section: libdevel
Architecture: armel
Depends: libfuse2 (= ${binary:Version}), ${misc:Depends}
Suggests: fuse-utils
Description: Filesystem in USErspace (development files)
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package contains the files necessary to write applications in C
 or C++ using fuse.

Package: libfuse2
Section: libs
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: fuse-utils (<< ${binary:Version})
Suggests: fuse-utils
Description: Filesystem in USErspace library
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package contains the files necessary to write applications in C
 or C++ using fuse.

=== fuse/debian/control ===
Source: fuse
Section: libs
Priority: optional
Maintainer: Bartosz Fenski <fenio@debian.org>
Uploaders: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Build-Depends: debhelper (>= 5.0.37), autotools-dev, dpatch, lsb-base (>= 3.0-6), bzip2
Homepage: http://fuse.sourceforge.net/
Standards-Version: 3.7.3

Package: fuse-utils
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2 (= ${binary:Version}), makedev (>= 2.3.1-80) | udev
Architecture: any
Description: Filesystem in USErspace (utilities)
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package contains the fusermount utility which is necessary to
 mount fuse filesystems.
 .
 This utility is setuid by default. Use dpkg-statoverride if you want
 to change that.

Package: libfuse-dev
Section: libdevel
Architecture: any
Depends: libfuse2 (= ${binary:Version}), ${misc:Depends}
Suggests: fuse-utils
Description: Filesystem in USErspace (development files)
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package contains the files necessary to write applications in C
 or C++ using fuse.

Package: libfuse2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: fuse-utils (<< ${binary:Version})
Suggests: fuse-utils
Description: Filesystem in USErspace library
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package contains the files necessary to write applications in C
 or C++ using fuse.

Package: fuse-source
Architecture: all
Depends: module-assistant, debhelper (>= 5), make, bzip2
Description: Source for the Fuse kernel module
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package provides the source code for the Fuse kernel modules.
 Kernel source or headers >= 2.6.9 are required to compile these modules.

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,9 @@
 # Some variables I'll use below
 DESTDIR	 = $(CURDIR)/debian/tmp
 KDESTDIR = $(CURDIR)/debian/fuse-source
-KMODDIR = $(CURDIR)/debian/fuse-modules-rx-34
+#KMODDIR = $(CURDIR)/debian/fuse-modules-rx-34
 DOCS	 = Filesystems FAQ NEWS README README.NFS doc/* debian/README.Debian debian/NEWS.Debian
-KSRC = ../kernel-source-diablo
+KHEADERS = /usr/src/kernel-headers/
 
 # Module-assistant stuff
 PACKAGE = fuse-modules
@@ -37,17 +37,16 @@
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
 endif
-	tar xvjf /usr/src/kernel-source-diablo.tar.bz2
-	cd kernel-source-diablo && make nokia_2420_defconfig && make
+#	tar xvjf /usr/src/kernel-source-diablo.tar.bz2
+#	cd kernel-source-diablo && make nokia_2420_defconfig && make
 	CFLAGS="$(CFLAGS)" \
 	./configure --host=$(DEB_HOST_GNU_TYPE) \
 	            --build=$(DEB_BUILD_GNU_TYPE) \
 		    --prefix=/usr \
 		    --mandir=\$${prefix}/share/man \
 		    --infodir=\$${prefix}/share/info \
-		    --enable-kernel-module \
 		    --disable-example \
-		    --with-kernel=$(KSRC)
+		    --with-kernel=$(KHEADERS)
 
 # Modass targets
 kdist_configure: prep-deb-files
@@ -56,9 +55,9 @@
 binary-modules: prep-deb-files
 	dh_testroot
 	dh_clean -k
-	./configure --enable-kernel-module --with-kernel=$(KSRC)
+	./configure --enable-kernel-module --with-kernel=$(KHEADERS)
 	$(MAKE)
-	install -D -m0644 fuse.ko debian/$(PACKAGE)-$(KVERS)/lib/modules/$(KVERS)/kernel/fs/fuse/fuse.ko
+#	install -D -m0644 fuse.ko debian/$(PACKAGE)-$(KVERS)/lib/modules/$(KVERS)/kernel/fs/fuse/fuse.ko
 	dh_installchangelogs ChangeLog
 	dh_installdocs $(DOCS)
 	dh_installmodules
@@ -85,7 +84,7 @@
 	rm -f build-stamp config.log
 	[ ! -f example/Makefile ] || $(MAKE) distclean -C example
 	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -fr kernel-source-diablo
+#	rm -fr kernel-source-diablo
 	dh_clean config.guess config.sub
 
 install-arch:
@@ -128,8 +127,8 @@
 		rm -rf debian/$$PKG/usr/share/doc/$$PKG; \
 		cd debian/$$PKG/usr/share/doc/ && ln -s libfuse2 $$PKG; \
 	done
-	mkdir -p debian/fuse-modules-rx-34/lib/modules/2.6.21-omap1/extra
-	install kernel/fuse.ko debian/fuse-modules-rx-34/lib/modules/2.6.21-omap1/extra/
+#	mkdir -p debian/fuse-modules-rx-34/lib/modules/2.6.21-omap1/extra
+#	install kernel/fuse.ko debian/fuse-modules-rx-34/lib/modules/2.6.21-omap1/extra/
 	dh_installman -s -pfuse-utils debian/fusermount.1
 	dh_link -s
 	dh_strip -s

=== fuse/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Dpatch system
#include /usr/share/dpatch/dpatch.make

# Some variables I'll use below
DESTDIR	 = $(CURDIR)/debian/tmp
KDESTDIR = $(CURDIR)/debian/fuse-source
DOCS	 = Filesystems FAQ NEWS README README.NFS doc/* debian/README.Debian debian/NEWS.Debian
KSRC = ../../kernel-source-rx-34-2.6.21.0

# Module-assistant stuff
PACKAGE = fuse-modules
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS += -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure patch-stamp
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	CFLAGS="$(CFLAGS)" \
	./configure --host=$(DEB_HOST_GNU_TYPE) \
	            --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr \
		    --mandir=\$${prefix}/share/man \
		    --infodir=\$${prefix}/share/info \
		    --enable-kernel-module \
		    --disable-example \
		    --with-kernel=$(KSRC)

# Modass targets
kdist_configure: prep-deb-files
kdist_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
binary-modules: prep-deb-files
	dh_testroot
	dh_clean -k
	./configure --enable-kernel-module --with-kernel=$(KSRC)
	$(MAKE)
	install -D -m0644 fuse.ko debian/$(PACKAGE)-$(KVERS)/lib/modules/$(KVERS)/kernel/fs/fuse/fuse.ko
	dh_installchangelogs ChangeLog
	dh_installdocs $(DOCS)
	dh_installmodules
	sed -e "s/@KERNEL@/$(KVERS)/g" debian/preinst.modules.in > debian/preinst
	sed -e "s/@KERNEL@/$(KVERS)/g" debian/postrm.modules.in > debian/postrm
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)
	dh_clean -k

build: build-stamp
build-stamp: config.status
	$(MAKE)
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp config.log
	[ ! -f example/Makefile ] || $(MAKE) distclean -C example
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean config.guess config.sub

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs -s
	$(MAKE) install DESTDIR=$(DESTDIR)
	dh_installdirs -pfuse-utils usr/share/lintian/overrides
	cp $(CURDIR)/debian/fuse-utils.lintian \
	   $(CURDIR)/debian/fuse-utils/usr/share/lintian/overrides/fuse-utils
	dh_install -s --source=debian/tmp
	install -D -m0640 $(CURDIR)/debian/fuse.conf \
			  $(CURDIR)/debian/fuse-utils/etc/fuse.conf

install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	mkdir -p $(KDESTDIR)/usr/src/modules/fuse/debian
	cp -a kernel/* $(KDESTDIR)/usr/src/modules/fuse
	cp debian/control.modules.in $(KDESTDIR)/usr/src/modules/fuse/debian
	cp debian/postrm.modules.in $(KDESTDIR)/usr/src/modules/fuse/debian
	cp debian/preinst.modules.in $(KDESTDIR)/usr/src/modules/fuse/debian
	cp debian/rules debian/changelog debian/copyright debian/compat debian/control \
	  $(KDESTDIR)/usr/src/modules/fuse/debian
	sed -i 's!^\(include /usr/share/dpatch/dpatch.make\)$$!#\1!' $(KDESTDIR)/usr/src/modules/fuse/debian/rules
	cp --parents $(DOCS) $(KDESTDIR)/usr/src/modules/fuse/
	cp ChangeLog $(KDESTDIR)/usr/src/modules/fuse/
	cd $(KDESTDIR)/usr/src && tar c modules | bzip2 -9 > fuse.tar.bz2 && rm -rf modules

binary-arch: build install-arch
	dh_testdir -s
	dh_testroot -s
	dh_installchangelogs -s ChangeLog
	dh_installdocs -plibfuse2 $(DOCS)
	dh_installdocs -plibfuse-dev $(DOCS)
	dh_installexamples -s
	for PKG in fuse-utils; do \
		rm -rf debian/$$PKG/usr/share/doc/$$PKG; \
		cd debian/$$PKG/usr/share/doc/ && ln -s libfuse2 $$PKG; \
	done
	dh_installman -s -pfuse-utils debian/fusermount.1
	dh_link -s
	dh_strip -s
	dh_compress -s -Xusr/share/doc/libfuse-dev/examples/
	dh_fixperms -s
	dh_installdebconf -s
	dh_installinit -s --name=fuse -- start 34 S . stop 41 0 6 .
	dh_makeshlibs -s -V "libfuse2 (>= 2.6)"
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	chmod 4755 debian/fuse-utils/usr/bin/fusermount
	dh_builddeb -s

binary-indep: install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i -pfuse-source $(DOCS)
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install binary-modules kdist kdist_configure kdist_image kdist_clean

## fuse 2.7.2-1maemo9

=== debian/changelog ===
fuse (2.7.2-1maemo9) fremantle; urgency=low

  * Changes to load fuse module at boot time on fremantle

 -- Andre Rodrigues <andre.rodrigues@signove.com>  Wed, 30 Sep 2009 10:34:54 -0300

=== debian/watch ===
version=3
http://sf.net/fuse/fuse-([0-9\.]+)\.tar\.gz

## fuse 2.7.2-1maemo10

=== debian/changelog ===
fuse (2.7.2-1maemo10) fremantle; urgency=low

  * Version increased to compile with new fremantle SDK (autobuilder) 

 -- Hallyson Melo <hallyson.melo@openbossa.org>  Wed, 18 Nov 2009 18:02:08 -0300

## fuse 2.8.5

=== debian/changelog ===
fuse (2.8.5-5) unstable; urgency=low

  * Adding initramfs-tools integration (Closes: #505691).
  * Using linux-any in build-depends rather than negatively listing
    kfreebsd (Closes: #634321).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 08 Sep 2011 20:30:29 +0200

fuse (2.8.5-4) unstable; urgency=low

  * Updating udev check in postinst to also look for /run (Closes:
    #628050).
  * Releasing debian version 2.8.5-3.
  * Adding depends to mount to ensure new enough util-linux is being
    used (Closes: #628735, #630237).
  * Adding reference for fuse in fusermount manpage (Closes: #629897).
  * Adding a conflict against loop-aes-utils (Closes: #631454).
  * Updating todo file.
  * Removing obsolete --disable-kernel-module from configure call.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 10 Jul 2011 17:07:36 +0200

fuse (2.8.5-3) unstable; urgency=low

  * Updating udev check in postinst to also look for /run (Closes:
    #628050).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 03 Jun 2011 10:17:31 +0200

fuse (2.8.5-2) unstable; urgency=low

  * Correcting filename of the last patch for CVE 2011-0543.
  * Adding fuse(5) manpage from Bastien Roucaries
    <roucaries.bastien@gmail.com> (Closes: #510463).
  * Override dh_compress to not compress examples.
  * Adding patch to not exclude fioc.h from examples (Closes: #626522).
  * Removing old fuse-utils.preinst script.
  * Avoid running initscript to unload kernel modules on shutdown
    (Closes: #584710).
  * Renaming fuse-utils* packages to simply fuse*. Renaming at this
    point is not a problem since d-i doesn't already use the fuse udebs
    just yet.
  * Sorting depends.
  * Updating source section.
  * Adding debug package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 26 May 2011 14:47:38 +0200

fuse (2.8.5-1) experimental; urgency=low

  * Merging upstream version 2.8.5 (Closes: #585875).
  * Removing useless whitespaces at EOL and EOF.
  * Switching to source format 3.0 (quilt).
  * Rediffing Build_system_do_not_install_init_script (dpatch) as
    initscript.patch (quilt).
  * Rediffing GNU_kFreeBSD (dpatch) as kfreebsd.patch (quilt).
  * Removing Missing_pthread_link_on_libulockmgr, included upstream.
  * Removing CVE-2009-3297.dpatch, included upstream.
  * Adding patch from upstream to fix arbitrary unprivileged unmount
    [CVE 2010-3879].
  * Adding patch from upstream to fix cleanup in case of failed mount
    [CVE 2011-0541].
  * Adding patch from upstream to chdir to / before performing
    mount/umount [CVE 2011-0542].
  * Adding patch from upstream to only allow mount and umount if util-
    linux suppports --no-canonicalize [CVE 2011-0542].
  * Rename examples directory for libfuse-dev to more common name
    (within debian directory).
  * Moving manpage to subdirectory (within debian directory).
  * Moving configfile to subdirectory (within debian directory).
  * Removing watch file.
  * Removing leftovers from fuse-source.
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.2.
  * Decrufting, sorting and wrapping build-depends.
  * Sorting source fields.
  * Decrufting and sorting depends.
  * Sorting binary fields.
  * Updating udev rule, thanks to Marco d'Itri <md@linux.it> (Closes:
    #584709).
  * Sorting packages.
  * Updating package short and long descriptions.
  * Minimizing rules file.
  * Dropping la files (Closes: #621309).
  * Adding todo file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 26 May 2011 11:01:16 +0200

fuse (2.8.4-2) unstable; urgency=low

  * Taking over package from Bartosz and Adam with thanks for their past
    contributions, both of them are MIA.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 24 May 2011 20:04:54 +0200

fuse (2.8.4-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Only build fuse-utils-udeb on Linux architectures.

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 May 2011 13:00:49 +0100

fuse (2.8.4-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Create libfuse2-udeb and fuse-utils-udeb (closes: #505697).

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Apr 2011 14:27:06 +0100

fuse (2.8.4-1.3) unstable; urgency=low

  * Non-maintainer upload to fix a regression introduced in the previous
    NMU.
  * Use "Architecture: linux-any" for fuse-utils instead of a long list
    of architectures. This fixes sparc64 support.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 12 Mar 2011 17:04:33 +0100

fuse (2.8.4-1.2) unstable; urgency=low

  * NMU, added armhf in arch list. (Closes: #596952)

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 24 Feb 2011 12:42:25 +0000

fuse (2.8.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update and re-enenable 001-GNU_kFreeBSD patch to fix FTBFS on
    GNU/kFreeBSD. (Closes: #590274)
    Updated patch by Petr Salinger, thanks.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Sep 2010 22:11:07 +0200

fuse (2.8.4-1) unstable; urgency=low

  * New upstream version.
    - ACK previous non-maintainer upload (559478)
    - fixes problems with gvfs (585648)
  * Added sparc64 to supported archs (560987)

 -- Bartosz Fenski <fenio@debian.org>  Mon, 19 Jul 2010 18:57:27 +0200

fuse (2.8.1-1.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2009-3297: race condition in fusermount (Closes: #567633)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 31 Jan 2010 22:23:35 +0100

fuse (2.8.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Petr Salinger to fix FTBFS on GNU/kFreeBSD (Closes:
    #552600)
  * Apply patch from Vagrant Cascadian to run MAKEDEV only if found
    (Closes: #550334, #553015)
  * Invoke dh_makeshlibs with an appropriately strict dependency
    (Closes: #557143)

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Dec 2009 17:24:05 +0000

fuse (2.8.1-1) unstable; urgency=low



=== debian/control ===
Source: fuse
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 8), autotools-dev, libselinux-dev [linux-any]
Standards-Version: 3.9.2
Homepage: http://fuse.sourceforge.net/

Package: fuse
Section: utils
Architecture: linux-any
Depends:
 ${misc:Depends}, ${shlibs:Depends}, libfuse2 (= ${binary:Version}), adduser,
 mount (>= 2.19.1), sed (>= 4), udev | makedev
Conflicts: fuse-utils (<< 2.8.5-2~), loop-aes-utils
Replaces: fuse-utils
Description: Filesystem in Userspace
 Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
 export a virtual filesystem to the Linux kernel. It also aims to provide a
 secure method for non privileged users to create and mount their own filesystem
 implementations.

Package: fuse-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, fuse (= ${binary:Version}) [!kfreebsd-amd64 !kfreebsd-i386],
 libfuse2 (= ${binary:Version}), libfuse-dev (= ${binary:Version})
Description: Filesystem in Userspace
 Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
 export a virtual filesystem to the Linux kernel. It also aims to provide a
 secure method for non privileged users to create and mount their own filesystem
 implementations.

Package: fuse-utils
Section: utils
Architecture: all
Depends: ${misc:Depends}, fuse
Description: Filesystem in Userspace (transitional package)
 Package to ease upgrading from older fuse-utils packages to the new fuse
 package.
 .
 This package can be purged at anytime once the fuse package has been installed.

Package: libfuse2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: fuse (<< ${binary:Version})
Suggests: fuse
Description: Filesystem in Userspace (library)
 Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
 export a virtual filesystem to the Linux kernel. It also aims to provide a
 secure method for non privileged users to create and mount their own filesystem
 implementations.
 .
 This package contains the shared library.

Package: libfuse-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends}, libfuse2 (= ${binary:Version}),
 libselinux-dev [!kfreebsd-amd64 !kfreebsd-i386]
Suggests: fuse
Description: Filesystem in Userspace (development)
 Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
 export a virtual filesystem to the Linux kernel. It also aims to provide a
 secure method for non privileged users to create and mount their own filesystem
 implementations.
 .
 This package contains the development files.

Package: fuse-udeb
Architecture: linux-any
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}, libfuse2-udeb (= ${binary:Version})
XC-Package-Type: udeb
Description: Filesystem in Userspace

Package: libfuse2-udeb
Architecture: any
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}
XC-Package-Type: udeb
Description: Filesystem in Userspace (library)

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh ${@} --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure --	--host=$(DEB_HOST_GNU_TYPE) \
				--build=$(DEB_BUILD_GNU_TYPE) \
				--prefix=/usr \
				--mandir=\$${prefix}/share/man \
				--infodir=\$${prefix}/share/info \
				--disable-example \
				CFLAGS="$(CFLAGS)" \
				LDFLAGS="-Wl,-z,defs"

override_dh_install:
	# adding initramfs-tools integration
	install -D -m 0755 debian/local/fuse.hook debian/fuse/usr/share/initramfs-tools/hooks/fuse

	# remove unused files
	rm -f debian/tmp/etc/init.d/fuse
	rm -f debian/tmp/etc/udev/rules.d/99-fuse.rules
	rm -f debian/tmp/usr/lib/*.la

	dh_install --fail-missing

override_dh_installinit:
	dh_installinit --no-start --update-rcd-params='start 9 S .'

override_dh_compress:
	dh_compress -Xusr/share/doc/libfuse-dev/examples

override_dh_strip:
	dh_strip --dbg-package=fuse-dbg

override_dh_makeshlibs:
	dh_makeshlibs -s -V "libfuse2 (>= 2.8.1)" --add-udeb=libfuse2-udeb

override_dh_fixperms:
	dh_fixperms

	if [ -e debian/fuse/usr/bin/fusermount ]; \
	then \
		chmod 0755 debian/fuse/usr/bin/fusermount; \
	fi
